#450 closed defect (fixed)

i386ex: hello.exe fails with linker error

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: bsps Version: 4.6
Severity: critical Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

With 4.6 (analogous results with the CVS-trunk):

i386-rtems-gcc --pipe -B../../../../../lib/ -B../../../../../i386ex/lib/ -specs
bsp_specs -qrtems -DPACKAGE_NAME=\"rtems-c-src-tests-samples\" -DPACKAGE_TARNAME=\"rtems-c-src-tests-samples\" -DPACKAGE_VERSION=\"4.6.0pre4\" -DPACKAGE_STRING=\"rtems-c-src-tests-samples\ 4.6.0pre4\" -DPACKAGE_BUGREPORT=\"rtems-bugs@…\" -isystem ../../../../../i386ex/lib/include -msoft-float -O4 -g -Wall -ansi -fasm -o o-optimize/init.o -c ../../../../../../../../rtems-4-6-branch/c/src/tests/samples/hello/init.c
i386-rtems-gcc --pipe -B../../../../../lib/ -B../../../../../i386ex/lib/ -specs
bsp_specs -qrtems -msoft-float -O4 -g -Wall -ansi -fasm -o o-optimize/hello.coff o-optimize/init.o ../../../../../i386ex/lib/no-dpmem.rel ../../../../../i386ex/lib/no-event.rel ../../../../../i386ex/lib/no-msg.rel ../../../../../i386ex/lib/no-mp.rel ../../../../../i386ex/lib/no-part.rel ../../../../../i386ex/lib/no-signal.rel ../../../../../i386ex/lib/no-timer.rel ../../../../../i386ex/lib/no-rtmon.rel
/opt/rtems/lib/gcc-lib/i386-rtems/3.2.3/../../../../i386-rtems/bin/ld: section .initial [03ff18a0 -> 03ff1ad8] overlaps section .eh_frame [03ff18a0 -> 03ff195f]collect2: ld returned 1 exit status
gmake[5]: * [o-optimize/hello.exe] Error 1

Release:
RTEMS-4.6, RTEMS-CVS-trunk

How-To-Repeat:
configure --target=i386-rtems
make RTEMS_BSP=i386ex

Change History (1)

comment:1 Changed on Aug 11, 2003 at 4:04:20 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: The following patch has been applied to the trunk and CVS

branch.


Index: startup/linkcmds
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/i386/i386ex/startup/linkcmds,v
retrieving revision 1.15
diff -u -r1.15 linkcmds
--- startup/linkcmds 20 Jan 2003 19:52:00 -0000 1.15
+++ startup/linkcmds 11 Aug 2003 16:58:32 -0000
@@ -125,6 +125,7 @@

DTOR_END = .;
_rodata_start = . ;
*(.rodata*)

+ *(.eh_frame)

*(.gnu.linkonce.r*)
_erodata = ALIGN( 0x10 ) ;

_etext = ALIGN( 0x10 );

Note: See TracTickets for help on using tickets.